# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/gst-player/gst-player-0.6.0.ebuild,v 1.6 2004/06/25 00:41:03 agriffis Exp $

inherit gnome2

DESCRIPTION="GStreamer media player"
HOMEPAGE="http://www.gstreamer.net/apps/gst-player/"
SRC_URI="mirror://sourceforge/gstreamer/${P}.tar.bz2"

LICENSE="GPL-2 LGPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE=""

RDEPEND=">=x11-libs/gtk+-2.2
	>=gnome-base/libgnomeui-2
	>=gnome-base/libglade-2
	>=gnome-base/gnome-desktop-2.2
	dev-libs/libxml2
	=media-libs/gstreamer-0.6*
	=media-libs/gst-plugins-0.6*
	=media-plugins/gst-plugins-xvideo-0.6*
	=media-plugins/gst-plugins-colorspace-0.6*"

DEPEND="${RDEPEND}
	>=dev-util/intltool-0.21
	dev-util/pkgconfig"

DOCS="AUTHORS ChangeLog INSTALL NEWS README RELEASE TODO"

src_unpack() {

	unpack ${A}

	# we depend on 0.6, but configure still uses 0.5's gst-inspect
	cd ${S}; sed -i -e "s/gst-inspect/gst-inspect-0.6/" configure

}

src_compile() {
	# get around sandbox violation generated by gst-inspect
	addwrite /var/lib/cache/gstreamer-0.6
	addwrite /root/.gstreamer

	gnome2_src_compile
}
